Package org.eclipse.emf.cdo.server.db.evolution

# Enum Class IModelEvolutionSupport.Trigger

java.lang.Object
java.lang.Enum<IModelEvolutionSupport.Trigger>
org.eclipse.emf.cdo.server.db.evolution.IModelEvolutionSupport.Trigger

All Implemented Interfaces:
  `Serializable`, `Comparable<IModelEvolutionSupport.Trigger>`, `Constable`

Enclosing interface:
  `IModelEvolutionSupport`

public static enum IModelEvolutionSupport.Trigger extends Enum<IModelEvolutionSupport.Trigger>
The triggers for model evolution.

There are two triggers:

- `ActivatingStore`: Triggered when the DB store is being activated by the `IRepository`. This is the main trigger for model evolution. It only occurs when the store is restarted, i.e., not when the store is activated for the first time.
- `ActivatedRepository`: Triggered when the `IRepository` has been fully activated. This trigger exists mainly for special purposes, e.g., to export repository models before the schema is upgraded.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ActivatedRepository`
Trigger when the `IRepository` has been fully activated.
`ActivatingStore`
Trigger when the DB store is being activated by the `IRepository`.

## Method Summary

Modifier and Type
Method
Description
`static IModelEvolutionSupport.Trigger`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IModelEvolutionSupport.Trigger[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ActivatingStore

public static final IModelEvolutionSupport.Trigger ActivatingStore
Trigger when the DB store is being activated by the `IRepository`. This is the main trigger for model evolution. It only occurs when the store is restarted, i.e., not when the store is activated for the first time.

When this trigger occurs, the DB store is fully initialized, but not yet activated. The repository is in the process of being activated, but not yet activated. It is mostly unavailable at this point.

### ActivatedRepository

public static final IModelEvolutionSupport.Trigger ActivatedRepository
Trigger when the `IRepository` has been fully activated. This trigger exists mainly for special purposes, e.g., to export repository models before the schema is upgraded.

When this trigger occurs, both the DB store and the repository are fully activated and available.

## Method Details

### values

public static IModelEvolutionSupport.Trigger[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IModelEvolutionSupport.Trigger valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null